/**
  * 用户
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admwechatuserlist: params => { // 小程序 用户列表
    return getRequest('/adm/wechat/user/list', params)
  },
  admadminlist: params => { // 用户列表
    return getRequest('/adm/admin/list', params)
  },
  admadminedit: params => { // 用户编辑
    return getRequestNoSort('/adm/admin/edit', params, 'loading')
  },
  admadminadd: params => { // 用户添加
    return getRequestNoSort('/adm/admin/add', params, 'loading')
  },
  admadmindel: params => { // 用户删除
    return getRequestNoSort('/adm/admin/del', params, 'loading')
  },
  admquestionlist: params => { // 问答-问题列表
    return getRequest('/adm/question/list', params)
  },
  admanswerlist: params => { // 问答-回答列表
    return getRequest('/adm/answer/list', params)
  },
  admquestionadd: params => { // 问答-添加问题
    return getRequestNoSort('/adm/question/add', params, 'loading')
  },
  admansweradd: params => { // 问答-添加回答
    return getRequestNoSort('/adm/answer/add', params, 'loading')
  },
  admquestiondel: params => { // 问答-问题删除
    return getRequestNoSort('/adm/question/del', params, 'loading')
  },
  admanswerdel: params => { // 问答-回答删除
    return getRequestNoSort('/adm/answer/del', params, 'loading')
  },
  admcommentlist: params => { // 楼盘评论 - 评论列表
    return getRequest('/adm/comment/list', params)
  },
  admcommentdel: params => { // 楼盘评论 - 评论删除
    return getRequestNoSort('/adm/comment/del', params, 'loading')
  },
  admfeedbacklist: params => { // 反馈列表
    return getRequest('/adm/feedback/list', params)
  },
  admfeedbackdel: params => { // 反馈删除
    return getRequestNoSort('/adm/feedback/del', params, 'loading')
  },
}
